OESF | ELSI | pdaXrom | OpenZaurus | Zaurus Themes | Community Links | Ibiblio

IPB

Welcome Guest ( Log In | Register )

3 Pages V  < 1 2 3  
Reply to this topicStart new topic
> Python 2.4 Zaurus Image Available
Optogeek
post Feb 8 2005, 02:17 AM
Post #31





Group: Members
Posts: 48
Joined: 3-February 04
From: Edinburgh, Scotland
Member No.: 1,681



sojc

You are having the same problem I was. Open up /etc/rc.d/init/mntpython as root and find the line
CODE
elsif [ -f /home/zaurus/Documents/$PYTHON.ex2 ]..........


below it you need to change the IMAGEDIR to /home/zaurus/Documents/

Save the file and then type /etc/rc.d/init.d/mntpython

Hope that helps
Go to the top of the page
 
+Quote Post
kopsis
post Feb 8 2005, 05:56 AM
Post #32





Group: Members
Posts: 329
Joined: 1-July 04
Member No.: 3,880



Ok, I've updated the .ipk with a fixed mntpython script (I would have done it sooner if Sourceforge didn't make updates such an involved process).

If you have Python working, don't waste your time trying to update. I only put the update on line to prevent new users from running into the problem. If you already have the .ipk installed and are having problems with a filesystem image in /home/zaurus/Documents (SL-3000 users?) making the change Optogeek suggested is quicker and easier than trying to reinstall the .ipk and will accomplish exactly the same thing.
Go to the top of the page
 
+Quote Post
sojc
post Feb 8 2005, 04:07 PM
Post #33





Group: Members
Posts: 19
Joined: 21-April 04
Member No.: 2,945



ok guys, thanks for the help. Got it working when I updated the script.



TY
sojc
Go to the top of the page
 
+Quote Post
nilch
post May 25 2005, 01:44 PM
Post #34





Group: Members
Posts: 668
Joined: 3-December 03
From: US
Member No.: 1,034



I loaded the python image (on SD) and mounts shows it mounted allright.

But when I start a simple application it comes up with error
"QDialog is not defined" - i am using a QDialog at the very beginning.

What would be the problem here ? IIts a very basic Qt class that is included in the Zaurus QTPE definitions.
Go to the top of the page
 
+Quote Post
chroafjd
post Sep 14 2005, 08:09 AM
Post #35





Group: Members
Posts: 50
Joined: 23-March 04
Member No.: 2,027



QUOTE(kopsis @ Jan 14 2005, 02:55 PM)
The first release of my Python 2.4 image for the Zaurus is now available for testing biggrin.gifThe website has fairly complete download instructions. This hasn't had a huge amount of testing so be careful! (backup critical data, yada yada yada). If you do have problems, you can always go back to the previous version (old versions still available at Sourceforge).

Details of what to expect from this version have been covered in this topic. Feel free to report any problems here (but don't expect fixes until next week). Good luck and have a great weekend!  smile.gif
*


Hi Kopsis,

Thanks for the great job.

I didn't have problems installing your Python Image, and making it to work, on my Zaurus C3100. However, I can't get SQLite to work. I have had the ipk installed in Internal Memory as recommended and tried to invoke the application from the console by typing "sqlite". Nothing happens. What am I doing wrong?

Thanks in anticipation of any hints.

Chroafjd

----------------
SL-C3100, Cacko 1.23b ROM, 1GB Transend CF Card, 1GB Kingmax SD Card,
DLink WLAN
Go to the top of the page
 
+Quote Post
freizugheit
post Feb 7 2006, 01:19 AM
Post #36





Group: Members
Posts: 409
Joined: 7-November 03
Member No.: 811



I encountered major problem with my SL-5600. Due to lack of backup, I needed to reinstall Python 2.4 after clean installation.

However, on activating python using QKonsole, I was prompted with the following error messages:

- Could not find platform independent libraries <prefix>
- Could not find platform independent libraries <exec_prefix>
- Could setting $PYTHONHOME to <prefix>[:<exec_prefix>]
- Process python killed
- import site' failed; use -v for traceback
- I could not import "qt" to run PyQt codes either


By activating this command:

QUOTE
at/etc/rc.d/init.d/mntpython start


My Python 2.4 backs to normal.
Go to the top of the page
 
+Quote Post
netog
post Apr 30 2006, 01:24 PM
Post #37





Group: Members
Posts: 38
Joined: 1-March 04
Member No.: 2,109



The image works great in my C1000. Just a few questions:

which qt widgets are not included in this pyqt? It seems QDateEdit is not...
Where to find samples of projects with pyqt and mysql connections?

thanks

Neto
Go to the top of the page
 
+Quote Post

3 Pages V  < 1 2 3
Reply to this topicStart new topic
2 User(s) are reading this topic (2 Guests and 0 Anonymous Users)
0 Members:

 



RSS Lo-Fi Version Time is now: 23rd November 2014 - 05:21 PM